Update a fund cash pot
PUT
/portfolio/assets/{asset}/fund-cash-pot/{fundCashPot}Updates the name and/or description of an existing fund cash pot.
Path parameters
Request body
application/json, required · PortfolioCreateFundCashPotRequest
{
"name": "string",
"description": "string"
}Responses
{
"data": {
"id": 1,
"fund_cash_id": 1,
"name": "string",
"description": "string",
"cash_in": "string",
"cash_out": "string",
"balance": "string",
"last_cashflow_date": "2026-06-12T10:00:00+00:00",
"has_transactions": true
}
}403
Authorization error
404
Not found
422
Validation error
Examples
curl -X PUT https://your-org-domain/kong/core/api/v2/portfolio/assets/{asset}/fund-cash-pot/{fundCashPot}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"name": "string",
"description": "string"
}'